Bug 1001003 - there is no -s option description in man page. and no s in [-rvVwfnh] info
there is no -s option description in man page. and no s in [-rvVwfnh] info
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.10
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 05:46 EDT by Yin.JianHong
Modified: 2014-02-05 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:17:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-08-26 05:46:43 EDT
Description of problem:
there is no -s option descrition in man page. and no s in usage: line
usage: mount.nfs remotetarget dir [-rvVwfnh] [-t version] [-o nfsoptions]

Version-Release number of selected component (if applicable):
# lsb_release -sir; rpm -q nfs-utils
RedHatEnterpriseServer 5.10
nfs-utils-1.0.9-69.el5

How reproducible:
always

Steps to Reproduce:
1. mount.nfs -h
2.
3.

Actual results:
In man page, no -s option description 
# mount.nfs -h
usage: mount.nfs remotetarget dir [-rvVwfnh] [-t version] [-o nfsoptions]
                                          `--->here no s declare
options:
        -r              Mount file system readonly
        -v              Verbose
        -V              Print version
        -w              Mount file system read-write
        -f              Fake mount, don't actually mount
        -n              Do not update /etc/mtab
        -s              Tolerate sloppy mount options rather than failing.
        -h              Print this help
        version         nfs4 - NFS version 4, nfs - older NFS version supported
        nfsoptions      Refer mount.nfs(8) or nfs(5)

Expected results:
keep consistent in help info internal, and between help info and man page.

Additional info:
Comment 1 RHEL Product and Program Management 2014-01-29 05:35:17 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 RHEL Product and Program Management 2014-02-05 17:17:13 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.